import { _decorator, clamp, Component, EPSILON, gfx, instantiate, Layout, Node, Prefab, RenderData, StencilManager, UI, UIRenderer } from 'cc';
import { RenderChildSort } from './RenderChildSort';
const { ccclass, property } = _decorator;


@ccclass('NewComponent')
export class NewComponent extends Component {

    @property({
        type: Prefab
    })
    private prefab: Prefab = null

    start() {
        let comp = this.getComponentInChildren(RenderChildSort)
        for (let i = 0; i < 200; i++) {
            let node = instantiate(this.prefab)
            comp.node.addChild(node)
        }
    }

    update(deltaTime: number) {

    }
}


